### Virtual Method

# FwupdPlugin Firmware tokenize

#### Declaration [src]

    gboolean
    tokenize (
      FuFirmware* self,
      GInputStream* stream,
      guint64 flags,
      GError** error
    )

#### Description [src]

Tokenizes a firmware, typically breaking the firmware into records.

Records can be enumerated using subclass-specific functionality, for example using fu_srec_firmware_get_records().

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`flags` | `guint64`
| `FuFirmwareParseFlags`, e.g. `FWUPD_INSTALL_FLAG_FORCE`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.